Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## junit.extensions
Class TestSetup

    java.lang.Object
      |
      +--junit.framework.Assert
            |
            +--junit.extensions.TestDecorator
                  |
                  +--junit.extensions.TestSetup

public class TestSetup
extends TestDecorator

A Decorator to set up and tear down additional fixture state. Subclass TestSetup and insert it into your tests when you want to set up additional state once before the tests are run.

Fields inherited from class junit.extensions.TestDecorator
`fTest`

Constructor Summary
`TestSetup(Test test)`

Method Summary
`void` | `run(TestResult result)` Runs a test and collects its result in a TestResult instance.
`protected void` | `setUp()` Sets up the fixture.
`protected void` | `tearDown()` Tears down the fixture.

Methods inherited from class junit.extensions.TestDecorator
`basicRun, countTestCases, getTest, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestSetup

    public TestSetup(Test test)

Method Detail

### run

    public void run(TestResult result)

  Description copied from interface: Test
  Runs a test and collects its result in a TestResult instance.
  Overrides:
    run in class TestDecorator

### setUp

    protected void setUp()
                  throws java.lang.Exception

  Sets up the fixture. Override to set up additional fixture state.

### tearDown

    protected void tearDown()
                     throws java.lang.Exception

  Tears down the fixture. Override to tear down the additional fixture state.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD